← Hosting

O melhor PHP neste momento

Lida 8481 vezes

Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

O php4 está a chegar ao seu fim de vida.
Acham que seria melhor mudar já para o php5?
Não irei ter muitos conflitos com alguns scripts?
Offline

rtbfreitas 
Equipa
Mensagens 1497 Gostos 9
Feedback +24

Troféus totais: 30
Trófeus: (Ver todos)
Windows User Apple User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4

viva

nos temos configurado PHP4 e PHP5 a funcionar ao mesmo tempo, ha um topic no cpanel forum que explica como se faz,

cumprimentos
Offline

leite 
Membro
Mensagens 864 Gostos 11
Troféus totais: 29
Trófeus: (Ver todos)
Mobile User Apple User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4

Penso que é sem duvida a melhor solução assim nunca terás problemas com os scripts  e em caso de ser necessário php5 so tens de adicionar uma pequena linha no .htaccess
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Será este?
http://forums.cpanel.net/showthread.php?t=45908
Vou esperar por mais opiniões até ver
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 3
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

É impossível substituir um pelo outro. Existirá sempre o cliente que necessita do 4, ou o cliente que necessita do 5.

Só existem duas soluções:

a) Possuir ambos a correr na mesma máquina
b) Possuir máquinas diferentes para diferentes versões do PHP (e do MySQL eventualmente).

Nós corremos utilizando máquinas distintas, mas a opção a) é igualmente viável.

Se estás a pensar fazer upgrade de uma com PHP4 para PHP5, recomendo-te a que não o faças. Vais ter uma dor de cabeça infernal com alguns clientes que ficarão com as suas aplicações com problemas. Isto reduz-te bastante o tempo de resposta (para achares alternativas / correcções) que permitam tornar a aplicação compatível com PHP5 (ex: OsCommerce), e poderás mm ter clientes bastante chateados.

Se efectivamente não queres estar a ter duas máquinas para alojamento, recomendo-te que optes pela opção a).
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Pois eu sabia que iria ter reclamações por isso é que vim perguntar..
Vou ver se ponho os 2 a correr
Offline

spvhosting 
Membro
Mensagens 33 Gostos 0
Troféus totais: 24
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 5 Level 4 Level 3 Level 2 Level 1 10 Posts First Post

Nos nossos servidores de alojamento e revenda já só se usa php5.2.0
    Todos foram avisados com 2 meses de antecedência e não houve qualquer problema.
   Um script que não aceite php5 será sempre bom perguntar se o mesmo é seguro, pois quer dizer que há muito que não é desenvolvido?
Offline

leite 
Membro
Mensagens 864 Gostos 11
Troféus totais: 29
Trófeus: (Ver todos)
Mobile User Apple User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4

Citação de: "spvhosting"
Nos nossos servidores de alojamento e revenda já só se usa php5.2.0
    Todos foram avisados com 2 meses de antecedência e não houve qualquer problema.
   Um script que não aceite php5 será sempre bom perguntar se o mesmo é seguro, pois quer dizer que há muito que não é desenvolvido?


Tudo bem ok mas se não funcionar em php 5 o cliente não vai pode-lo usa-lo . a unica solução que tem é mudar de alojamento.

Não sei se é muito boa ideia
Offline

spvhosting 
Membro
Mensagens 33 Gostos 0
Troféus totais: 24
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 5 Level 4 Level 3 Level 2 Level 1 10 Posts First Post

É sempre uma boa ideia para saber onde andam scripts mais vulneráveis e é sempre reversível. Se for bem programado os clientes nem notam.
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Tive outra sp que me passou um cliente pois já não tinha php4 e o cliente tinha de estar em php4
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 3
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

O facto de não funcionar com PHP5 não significa que não seja seguro (ou que seja mal programado). São dois conceitos completamente diferentes.

Existem variações bastante significativas ao nível de OOP, o que poderá tornar algumas aplicações não funcionais.

Para além disso, como se explica a um cliente, que gastou, por exemplo 5000€ numa aplicação, que por acaso não funciona totalmente com PHP5 (talvez pq já tenha sido desenvolvida há bastante tempo), que terá de prescindir do seu site ou "arranjar-se"? É complicado... há que ver as coisas pelo lado de ambas as partes.
Offline

=IceBurn= 
Membro
Mensagens 897 Gostos 3
Feedback +3

Troféus totais: 32
Trófeus: (Ver todos)
Windows User Level 6 Linux User Mobile User Super Combination Combination Topic Starter Poll Voter Poll Starter Level 5

Com esse tipo de raciocínio de ter receio de mudar ainda estavamos todos com php 3, não?
E para quem precisa de PHP5? Tem de desistir do alojamento porque parou no tempo e ainda só tem PHP 4.
Offline

Santo 
Membro
Mensagens 1657 Gostos 4
Troféus totais: 31
Trófeus: (Ver todos)
Windows User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Level 5 Level 4 Level 3 Level 2

A solução ideal é sem duvida correr os dois na mesma máquina, e lá mais para a frente deixar o php5 como primário e o php4 como secundário, ou seja, php5 responde a files .php e php 4 responde a files .php4 ou através de .htaccess ficar activo só para a conta ou directorio onde é necessário.

Alguém ainda se lembra quando mudou do 3 para o 4? Foi exactamente isso que se fez nas máquinas na altura.. Trocar a versão activa para a extensão de default .php. Com o tempo a necessidade de php3 desapareceu...

Este tipo de solução tem o condão de agradar a "gregos e troianos" e como o Marsu bem diz, não se pode chegar a um cliente que gastou um dinheirão numa aplicação e dizer-lhe "sorry.. ficas-te sem aplicação.. desenrasca-te!"

Saudações
Offline

Santo 
Membro
Mensagens 1657 Gostos 4
Troféus totais: 31
Trófeus: (Ver todos)
Windows User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Level 5 Level 4 Level 3 Level 2

Citação de: "=IceBurn="
Com esse tipo de raciocínio de ter receio de mudar ainda estavamos todos com php 3, não?


Se podes fazer as coisas bem, porque faze-las mal?

Saudações
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 3
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

Citação de: "=IceBurn="
Com esse tipo de raciocínio de ter receio de mudar ainda estavamos todos com php 3, não?
E para quem precisa de PHP5? Tem de desistir do alojamento porque parou no tempo e ainda só tem PHP 4.


Provavelmente tu desenvolves, pelo que uma revisão a uma aplicação não é problemática. Aqui tb já adoptamos como dev server o PHP5 desde as suas versões beta, exactamente devido a este tipo de problemas. No entanto, para quem não desenvolve, tornar uma aplicação PHP 4 compatível com PHP5 pode ser algo de impossível, ou exigirá um investimento que poderá ser avultado, provavelmente sem qualquer inovação (apenas tornar compatível). Isto é algo de complicado, que muito provavelmente resultará na migração do cliente para um outro host (uma solução mais acessível).

Como o Santo diz... porque não fazer as coisas de forma a agradar a "gregos e troianos"? Existe essa solução que não requer qualquer investimento extra por parte da empresa de alojamento...